$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_msi = 'https://github.com/starship/starship/releases/download/v1.18.0/starship-x86_64-pc-windows-msvc.msi'
$url_i686_msi = 'https://github.com/starship/starship/releases/download/v1.18.0/starship-i686-pc-windows-msvc.msi'
$checksum_x86_64_msi = '1120A462CCC4F59992F51F6D464104B2F49FD5B048EF7E8C2F72BD93943ACCFA'
$checksum_i686_msi = 'BC686BE3D3731996FFDD1FE6993754303FFF925F76904872FB1F956CA820E164'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'msi'
    url            = $url_i686_msi
    url64bit       = $url_x86_64_msi
    checksum       = $checksum_i686_msi
    checksum64     = $checksum_x86_64_msi
    checksumType   = 'sha256'
    softwareName   = 'starship*'
    silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
    validExitCodes = @(0, 3010, 1641)
}
Install-ChocolateyPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
